﻿using AutoMapper;
using Newtonsoft.Json.Linq;
using Performance.DtoModels;
using Performance.EntityModels;
using Performance.Repository;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Performance.Services
{
    public class UserService : IAutoInjection
    {
        PerforRepository<Sys_User> _userRepository;
        public UserService(PerforRepository<Sys_User> userRepository)
        {
            this._userRepository = userRepository;
        }

        public List<Sys_User> GetUser()
        {
            return _userRepository.GetEntities().ToList();
        }

        public ApiResponse<LoginInfo> Login(LoginRequest request)
        {
            //手机号登录
            if (request.LoginType == 1)
            {
                var user = _userRepository.GetEntity(t => t.Mobile == request.Account);

            }
            //账号密码登录
            else if (request.LoginType == 2)
            {
                var user = _userRepository.GetEntity(t => t.Login == request.Account);
                if (user != null && user.Password == request.Password)
                {
                    var data = Mapper.Map<LoginInfo>(user);
                    data.Token = Guid.NewGuid().ToString("N");  
                    return new ApiResponse<LoginInfo>(ResponseType.OK, "登录成功", data);
                }
            }
            return new ApiResponse<LoginInfo>();
        }
    }
}
